# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'ui_main_window.ui'
#
# Created by: PyQt5 UI code generator 5.15.6
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(1152, 648)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.centralwidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.gbTemplates = QtWidgets.QGroupBox(self.centralwidget)
        self.gbTemplates.setObjectName("gbTemplates")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.gbTemplates)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.tvTemplates = QtWidgets.QTableView(self.gbTemplates)
        self.tvTemplates.setSelectionMode(QtWidgets.QAbstractItemView.SingleSelection)
        self.tvTemplates.setSelectionBehavior(QtWidgets.QAbstractItemView.SelectRows)
        self.tvTemplates.setObjectName("tvTemplates")
        self.tvTemplates.horizontalHeader().setStretchLastSection(True)
        self.tvTemplates.verticalHeader().setVisible(False)
        self.horizontalLayout_3.addWidget(self.tvTemplates)
        self.verticalLayout_2 = QtWidgets.QVBoxLayout()
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.btnAddTemplate = QtWidgets.QToolButton(self.gbTemplates)
        icon = QtGui.QIcon.fromTheme("list-add")
        self.btnAddTemplate.setIcon(icon)
        self.btnAddTemplate.setObjectName("btnAddTemplate")
        self.verticalLayout_2.addWidget(self.btnAddTemplate)
        self.btnRemoveTemplate = QtWidgets.QToolButton(self.gbTemplates)
        self.btnRemoveTemplate.setEnabled(True)
        icon = QtGui.QIcon.fromTheme("list-remove")
        self.btnRemoveTemplate.setIcon(icon)
        self.btnRemoveTemplate.setObjectName("btnRemoveTemplate")
        self.verticalLayout_2.addWidget(self.btnRemoveTemplate)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_2.addItem(spacerItem)
        self.horizontalLayout_3.addLayout(self.verticalLayout_2)
        self.horizontalLayout.addWidget(self.gbTemplates)
        self.gbOutputOptions = QtWidgets.QGroupBox(self.centralwidget)
        self.gbOutputOptions.setObjectName("gbOutputOptions")
        self.formLayout = QtWidgets.QFormLayout(self.gbOutputOptions)
        self.formLayout.setObjectName("formLayout")
        self.lblOutputPath = QtWidgets.QLabel(self.gbOutputOptions)
        self.lblOutputPath.setObjectName("lblOutputPath")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.lblOutputPath)
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.leOutputPath = QtWidgets.QLineEdit(self.gbOutputOptions)
        self.leOutputPath.setObjectName("leOutputPath")
        self.horizontalLayout_2.addWidget(self.leOutputPath)
        self.btnSelectOutputPath = QtWidgets.QToolButton(self.gbOutputOptions)
        self.btnSelectOutputPath.setObjectName("btnSelectOutputPath")
        self.horizontalLayout_2.addWidget(self.btnSelectOutputPath)
        self.formLayout.setLayout(0, QtWidgets.QFormLayout.FieldRole, self.horizontalLayout_2)
        self.openRenderedLabel = QtWidgets.QLabel(self.gbOutputOptions)
        self.openRenderedLabel.setObjectName("openRenderedLabel")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.openRenderedLabel)
        self.cbOpenRendered = QtWidgets.QCheckBox(self.gbOutputOptions)
        self.cbOpenRendered.setObjectName("cbOpenRendered")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.cbOpenRendered)
        self.horizontalLayout.addWidget(self.gbOutputOptions)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.gbTemplatesVars = QtWidgets.QGroupBox(self.centralwidget)
        self.gbTemplatesVars.setObjectName("gbTemplatesVars")
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout(self.gbTemplatesVars)
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.tvTemplatesVars = QtWidgets.QTableView(self.gbTemplatesVars)
        self.tvTemplatesVars.setObjectName("tvTemplatesVars")
        self.tvTemplatesVars.horizontalHeader().setStretchLastSection(True)
        self.horizontalLayout_5.addWidget(self.tvTemplatesVars)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout()
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.btnRefreshVars = QtWidgets.QToolButton(self.gbTemplatesVars)
        icon = QtGui.QIcon.fromTheme("view-refresh")
        self.btnRefreshVars.setIcon(icon)
        self.btnRefreshVars.setObjectName("btnRefreshVars")
        self.verticalLayout_3.addWidget(self.btnRefreshVars)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.verticalLayout_3.addItem(spacerItem1)
        self.horizontalLayout_5.addLayout(self.verticalLayout_3)
        self.verticalLayout.addWidget(self.gbTemplatesVars)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        spacerItem2 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem2)
        self.btnPreview = QtWidgets.QPushButton(self.centralwidget)
        self.btnPreview.setObjectName("btnPreview")
        self.horizontalLayout_4.addWidget(self.btnPreview)
        self.btnGenerate = QtWidgets.QPushButton(self.centralwidget)
        self.btnGenerate.setObjectName("btnGenerate")
        self.horizontalLayout_4.addWidget(self.btnGenerate)
        self.verticalLayout.addLayout(self.horizontalLayout_4)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 1152, 30))
        self.menubar.setObjectName("menubar")
        self.menuFile = QtWidgets.QMenu(self.menubar)
        self.menuFile.setObjectName("menuFile")
        self.menuRecent = QtWidgets.QMenu(self.menuFile)
        self.menuRecent.setObjectName("menuRecent")
        self.menuHelp = QtWidgets.QMenu(self.menubar)
        self.menuHelp.setObjectName("menuHelp")
        MainWindow.setMenuBar(self.menubar)
        self.actionNew = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("document-new")
        self.actionNew.setIcon(icon)
        self.actionNew.setObjectName("actionNew")
        self.actionOpen = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("document-open")
        self.actionOpen.setIcon(icon)
        self.actionOpen.setObjectName("actionOpen")
        self.actionSave = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("document-save")
        self.actionSave.setIcon(icon)
        self.actionSave.setObjectName("actionSave")
        self.actionSave_as = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("document-save-as")
        self.actionSave_as.setIcon(icon)
        self.actionSave_as.setObjectName("actionSave_as")
        self.actionExit = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("application-exit")
        self.actionExit.setIcon(icon)
        self.actionExit.setObjectName("actionExit")
        self.actiontetst = QtWidgets.QAction(MainWindow)
        self.actiontetst.setObjectName("actiontetst")
        self.actionTemplateTags = QtWidgets.QAction(MainWindow)
        self.actionTemplateTags.setObjectName("actionTemplateTags")
        self.menuFile.addAction(self.actionNew)
        self.menuFile.addSeparator()
        self.menuFile.addAction(self.actionOpen)
        self.menuFile.addAction(self.menuRecent.menuAction())
        self.menuFile.addSeparator()
        self.menuFile.addAction(self.actionSave)
        self.menuFile.addAction(self.actionSave_as)
        self.menuFile.addSeparator()
        self.menuFile.addAction(self.actionExit)
        self.menuHelp.addAction(self.actionTemplateTags)
        self.menubar.addAction(self.menuFile.menuAction())
        self.menubar.addAction(self.menuHelp.menuAction())

        self.retranslateUi(MainWindow)
        self.actionExit.triggered.connect(MainWindow.close) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.gbTemplates.setTitle(_translate("MainWindow", "Templates"))
        self.btnAddTemplate.setText(_translate("MainWindow", "..."))
        self.btnRemoveTemplate.setText(_translate("MainWindow", "..."))
        self.gbOutputOptions.setTitle(_translate("MainWindow", "Output options"))
        self.lblOutputPath.setText(_translate("MainWindow", "Output path"))
        self.btnSelectOutputPath.setText(_translate("MainWindow", "..."))
        self.openRenderedLabel.setText(_translate("MainWindow", "Open after render"))
        self.gbTemplatesVars.setTitle(_translate("MainWindow", "Templates vars"))
        self.btnRefreshVars.setText(_translate("MainWindow", "..."))
        self.btnPreview.setText(_translate("MainWindow", "Preview"))
        self.btnGenerate.setText(_translate("MainWindow", "Render"))
        self.btnGenerate.setShortcut(_translate("MainWindow", "Ctrl+5"))
        self.menuFile.setTitle(_translate("MainWindow", "&File"))
        self.menuRecent.setTitle(_translate("MainWindow", "&Recent"))
        self.menuHelp.setTitle(_translate("MainWindow", "Help"))
        self.actionNew.setText(_translate("MainWindow", "&New..."))
        self.actionNew.setShortcut(_translate("MainWindow", "Ctrl+N"))
        self.actionOpen.setText(_translate("MainWindow", "&Open..."))
        self.actionOpen.setShortcut(_translate("MainWindow", "Ctrl+O"))
        self.actionSave.setText(_translate("MainWindow", "&Save"))
        self.actionSave.setShortcut(_translate("MainWindow", "Ctrl+S"))
        self.actionSave_as.setText(_translate("MainWindow", "Save &as"))
        self.actionExit.setText(_translate("MainWindow", "&Quit"))
        self.actionExit.setShortcut(_translate("MainWindow", "Ctrl+Q"))
        self.actiontetst.setText(_translate("MainWindow", "tetst"))
        self.actionTemplateTags.setText(_translate("MainWindow", "Template vars"))
